tigase.monitor

## Class TasksScriptRegistrar

- java.lang.Object
- - tigase.monitor.TasksScriptRegistrar

-     public class TasksScriptRegistrar
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TasksScriptRegistrar()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(String taskName)`
    `Kernel` | `getKernel()`
    `void` | `load()`
    `void` | `registerScript(String scriptName, String scriptExtension, String scriptContent)`
    `void` | `registerScript(String scriptName, String scriptExtension, String scriptContent, Long delay)`
    `void` | `setKernel(Kernel kernel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TasksScriptRegistrar

          public TasksScriptRegistrar()

  - ### Method Detail

    - #### getKernel

          public Kernel getKernel()

    - #### load

          public void load()

    - #### registerScript

          public void registerScript(String scriptName,
                            String scriptExtension,
                            String scriptContent)
                              throws ScriptException

      Throws:
        `ScriptException`

    - #### registerScript

          public void registerScript(String scriptName,
                            String scriptExtension,
                            String scriptContent,
                            Long delay)
                              throws ScriptException

      Throws:
        `ScriptException`

    - #### setKernel

          public void setKernel(Kernel kernel)

    - #### delete

          public void delete(String taskName)

Copyright © 2015 "Tigase, Inc.". All rights reserved.